Subject: bug#74616: closed (Re: bug#74616: 30.0.92; tmm always displays the *Completions* buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 14 Dec 2024 12:42:03 +0000

Your bug report

#74616: 30.0.92; tmm always displays the *Completions* buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74616: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74616
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#74616: 30.0.92; tmm always displays the *Completions* buffer
From: Eli Zaretskii <[email-masked]>
To: Daniel Mendler <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 14 Dec 2024 14:40:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Daniel Mendler <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 14 Dec 2024 12:44:48 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Daniel Mendler <[email-masked]>
> >> Cc: [email-masked],  [email-masked],  [email-masked]
> >> Date: Wed, 11 Dec 2024 16:37:18 +0100
> >> 
> >> > Thanks.  This LGTM (but let's leave some time for others to chime in),
> >> > with the following nit:
> >> >
> >> >> ++++
> >> >> +*** New user option 'completion-eager-display'.
> >> >> +This option configures whether completion commands should display
> >> >> +the *Completions* buffer immediately.  When the variable is set to t all
> >> >> +completion commands show *Completions* immediately, respectively nil
> >> >> +disables the eager display for all commands. The default setting auto
> >> >                                               ^^
> >> > Two spaces there, please.
> >> 
> >> Thanks. Updated patch attached.
> >
> > Thanks.  I was about to install this, but it turns out it breaks
> > minibuffer-tests:
> 
> Thanks for finding this. The problem was that `initial-input' was passed
> directly to `completion-metadata'. I replaced `initial-input' with `(or
> initial-input "")'. See the updated patch attached to this mail.

Thanks, now installed on the master branch, and closing the bug.

Subject: 30.0.92; tmm always displays the *Completions* buffer
From: Daniel Mendler <[email-masked]>
To: [email-masked]
Date: Sat, 30 Nov 2024 07:42:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The `tmm-add-prompt' function of tmm.el automatically displays the
*Completions* buffer by calling `minibuffer-completion-help'. If an
alternative minibuffer completion system like Icomplete or Vertico is
used, the *Completions* buffer is not needed since the candidates are
already displayed in the minibuffer. I propose to either detect these
alternative completion systems (e.g., by checking the value of the
completing-read-function and/or the mode variables) or to provide a new
customization variable `tmm-display-completions' which defaults to t but
can be set to nil to disable the call to `minibuffer-completion-help'. I
am happy to provide a patch for either of these approaches.